diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 51223f7..94004d2 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -28379,7 +28379,7 @@ FiniteSetAggregate(S:SetCategory): Category ==
    cardinality s   == #s
    construct l           == (s := set(); for x in l repeat insert_!(x,s); s)
    count(x:S, s:%) == (member?(x, s) => 1; 0)
-   subset?(s, t)   == #s < #t and _and/[member?(x, t) for x in parts s]
+   subset?(s, t)   == #s <= #t and _and/[member?(x, t) for x in parts s]
 
    coerce(s:%):OutputForm ==
      brace [x::OutputForm for x in parts s]$List(OutputForm)
diff --git a/buglist b/buglist
index a23e17d..c562993 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7247: 
+bug 7248: 
 todo 336:
 wish 1011:
 meh 5:
@@ -11,6 +11,7 @@ typos 40363:
 dup 50006:
 nonextend 60077:
 
+
 =========================================================================
 todo 335: add packages to )d op gcd
 
@@ -40324,3 +40325,14 @@ todo 329:
 >compiling OUT.spad to OUT.nrlib
       [1] output: :(OutputForm) -- should replace by pretend
 
+fixed by 20140608.02.tpd.patch
+=========================================================================
+bug 7247: subset? uses wrong length test, should use <=
+
+SI ==> Set Integer
+SSI ==> Set SI
+si:SI := set [2]      -- {2}
+subset?(si,si)        -- true
+ssi:SSI := set [si]   -- {{2}}
+subset?(ssi,ssi)      -- false (a bug)
+
diff --git a/changelog b/changelog
index 2a8abbc..72ec095 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20140608 tpd src/axiom-website/patches.html 20140608.02.tpd.patch
+20140608 tpd bug 7247: subset? uses wrong length test, should use <=
+20140608 tpd bookvol10.2 FiniteSetAggregate subset? fixed
 20140608 tpd src/axiom-website/patches.html 20140608.01.tpd.patch
 20140608 tpd book/*.txt email cleanup
 20140607 tpd src/axiom-website/patches.html 20140607.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ca06531..62b89d2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4400,6 +4400,8 @@ books/bookvolbib add abstract for Segletes 98, fix duplicate
 src/input/segletes.input implement 6, 8, 10, 12 Ei functions
 <a href="patches/20140608.01.tpd.patch">20140608.01.tpd.patch</a>
 book/*.txt email cleanup
+<a href="patches/20140608.02.tpd.patch">20140608.02.tpd.patch</a>
+bug 7247: subset? uses wrong length test, should use <=
  </body>
 </html>
 
